
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>EF中的增删改查 / 憋错料</title>

    <meta name="description" content="EF中的增删改查 在上一篇中简单的介绍了一下有关EF的一些概念,都是小编的一些个人理解,懂的不多,想深入学习的可以从网上查看一些其他资料. 下面紧接着上一篇所说,来从代码上看一下EF容器是如何实现与后台数据库之间的增删改查的. 1.EF包装类 什么是EF包装类呢?举个例子,我们平时用SQL语句写增删改查时,用的都是一些Insert.Update.Delete等语句来实现增删改查,所以我们把放到EF容器的东东也要做一个标签,来指明这个东东是要添加.更新.还是要删除呢. 正如上图所示就是这么简单的操作,就完成了对数据">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">EF中的增删改查</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在上一篇中简单的介绍了一下有关EF的一些概念，都是小编的一些个人理解，懂的不多，想深入学习的可以从网上查看一些其他资料。</p>
<p>下面紧接着上一篇所说，来从代码上看一下EF容器是如何实现与后台数据库之间的增删改查的。</p>
<p><strong> 1.EF包装类</strong></p>
<p>什么是EF包装类呢？举个例子，我们平时用SQL语句写增删改查时，用的都是一些Insert、Update、Delete等语句来实现增删改查，所以我们把放到EF容器的东东也要做一个标签，来指明这个东东是要添加、更新、还是要删除呢。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMjgxOTU4MjEyMTU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YkhWamEzbDZhRzkxYzNSaGNnPT0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9DZW50ZXI=.jpg"></p>
<p>正如上图所示就是这么简单的操作，就完成了对数据的增删改查。下面来看一下增删改查的Demo。</p>
<p><strong>2.EF添加和删除操作</strong></p>
<pre>&lt;span style=&quot;font-family:SimSun;font-size:18px;&quot;&gt;        TestEntities db = new TestEntities();

        /// &lt;summary&gt;
        /// 添加操作
        /// &lt;/summary&gt;
        public void  Add()
        {
            //创建要添加的实体
            tree tree = new tree()
            {
                pName = &quot;第一条数据&quot;,
                subject = &quot;测试&quot;
            };

            //创建一个EF容器对象，并获取当前实体对象的状态管理对象
            DbEntityEntry&lt;tree&gt; entry = db.Entry&lt;tree&gt;(tree);

            //为要添加的对象加上添加的标签
            entry.State = System.Data.EntityState.Added;

            //执行添加操作
            db.SaveChanges();

        }

        /// &lt;summary&gt;
        /// 删除操作
        /// &lt;/summary&gt;
        public void Delete()
        {
             //创建要添加的实体
            tree tree = new tree()
            {
                pName = &quot;第一条数据&quot;,
                subject = &quot;测试&quot;
            };

            //创建一个EF容器对象，并获取当前实体对象的状态管理对象
            DbEntityEntry&lt;tree&gt; entry = db.Entry&lt;tree&gt;(tree);

            //为要添加的对象加上删除的标签
            entry.State = System.Data.EntityState.Deleted;

            //执行删除操作
            db.SaveChanges();

        }&lt;/span&gt;</pre>
<p>通过上述操作，就通过EF实现了添加和删除的操作。其实还有另外一种写法，原理基本上是一致的。</p>
<pre>&lt;span style=&quot;font-family:SimSun;font-size:18px;&quot;&gt;  TestEntities db = new TestEntities();

        /// &lt;summary&gt;
        /// 添加操作
        /// &lt;/summary&gt;
        public void  Add()
        {
            //创建要添加的实体
            tree tree = new tree()
            {
                pName = &quot;第一条数据&quot;,
                subject = &quot;测试&quot;
            };

            //此语句相当于为该对象加上添加的标签
           db.tree.Add(tree);

            //执行添加操作
            db.SaveChanges();

        }

        /// &lt;summary&gt;
        /// 删除操作
        /// &lt;/summary&gt;
        public void Delete()
        {
             //创建要添加的实体
            tree tree = new tree()
            {
                pName = &quot;第一条数据&quot;,
                subject = &quot;测试&quot;
            };

            //先把要删除的实体放置到容器里面
          db.tree.Attach(tree);
            //然后打上要删除的标签
            db.tree.Remove(tree);

            //执行删除操作
            db.SaveChanges();

        }
&lt;/span&gt;</pre>
<p><strong>3.查询操作</strong></p>
<p>有了上述的添加和删除，下面来看一下查询的操作。</p>
<p>有关于EF的查询操作，太多了，就好比我们平时写的SQL语句一样，可以查询出各种条件的数据。</p>
<p>因为EF上下文里的 DBSet&lt;T&gt; 里的 标准查询运算符 方法，来自于 System.Linq.Queryable 里给 IQueryable接口 添加的扩展方法。而看一下Queryable类中的方法的话，你会大吃一惊，太强大了，将近有200多个查询的方法供我们使用，下面小编只列举一下简单的查询方法。</p>
<pre>&lt;span style=&quot;font-family:SimSun;font-size:18px;&quot;&gt;    /// &lt;summary&gt;
        /// 查询数据
        /// &lt;/summary&gt;
        public void Find()
        {

           //采用DbQuery接口中方法，来查询数据
            DbQuery&lt;tree&gt; info = db.tree as DbQuery&lt;tree&gt;;
            //获得查询出来的数据
            tree tree = info.FirstOrDefault();
           Console.WriteLine(tree.pName);
        }&lt;/span&gt;</pre>
<p><strong>4.EF中的更新操作</strong></p>
<p>如果我们用SQL语句来写更新的话，用到那个字段就更新那个字段，而在EF中还是采用EF包装类的方法，来为我们要修改的类打上修改的标签，然后更新到数据库中。</p>
<pre>&lt;span style=&quot;font-family:SimSun;font-size:18px;&quot;&gt;    TestEntities db = new TestEntities();
        /// &lt;summary&gt;
        /// 更新操作
        /// &lt;/summary&gt;
        public void Update()
        {

            //编辑要更新的实体的实体
            tree tree = new tree()
            {
                pName = &quot;第一条数据&quot;,
                subject = &quot;测试&quot;
            };

            //将对象添加到EF容器中
            DbEntityEntry entry = db.Entry&lt;tree&gt;(tree);
            //先设置对象的包装类型为Unchanged
            entry.State = System.Data.EntityState.Unchanged;
            //为要更新的字段打上更新的标签
            entry.Property(&quot;pName&quot;).IsModified = true;
            entry.Property(&quot;subject&quot;).IsModified = true;

            //一次性的更新操作
            db.SaveChanges();

        }&lt;/span&gt;</pre>
<p>&#65279;&#65279;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 15:08:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>EF中的增删改查的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmQPznM.html" rel="bookmark">用DBContext &lpar;EF&rpar; 实现通用增删改查的REST方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们用ADO.NET Entity Data Model来生成实体类后,一般都会对这些类进行基本的增删改查操作,如果每个类都要写这些基本的方法,实在太乏味了.下面就是通过step by step的方式介绍如何用DBContext来实现通用增删改查的REST方法,以及实现过程中容易出现的问题. 1. 打开vs2012,新建一个class library的项目 2. 新加一个ADO.NET Entity Data Model项到这个项目 3. 打开App.Config, 修改res://* 为res			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEOyOP3.html" rel="bookmark">Entity - 使用EF框架进行增删改查 - 模型先行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				模型先行:先创建数据库实体模型,然后再进行数据库的增删改查. 基本步骤是不变的,可参照 &lt;Entity - 使用EF框架进行增删改查 - 数据库先行&gt; 其中的不同是,在创建数据库实体模型的时候,不是选择已有数据库,而是选择空白.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pWyO83.html" rel="bookmark">Asp&period;net Core 2&period;1使用 EF Core 简单增删改查操作数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Asp.net Core 2.1使用 EF Core 简单增删改查操作数据库 大概步骤如下5步: 1.创建项目(Asp.net Core 2.1项目) 2.项目使用EF Core 3.建立实体 4.生成迁移文件(生成数据库) 5.使用VS工具生成视图.控制器代码 示例代码下载  https://github.com/ZhMartincheng/NetCoreDemo.git 1.创建项目(Asp.net Core 2.1项目) 选择.net core 版本2.1 基础项目创建成功 2.项目使用E			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6ND8XM.html" rel="bookmark">winform窗体（六）&mdash;&mdash;DataGridView控件及通过此控件中实现增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DataGridView:显示数据表,通过此控件中可以实现连接数据库,实现数据的增删改查 一.后台数据绑定:    List&lt;xxx&gt; list = new List&lt;xxx&gt;();      dataGridView1.DataSource = list;      //设置不自动生成列,此属性在属性面板中没有      dataGridView1.AutoGenerateColumns = false;      //取消加载默认选中第一行      dataGridView1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ODW174.html" rel="bookmark">SQLite中的增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				虽然android提供了sql查询的封装方法,但是理解起来还是麻烦,所以我这里用sql语句来完成工作. 首先是建立一个类,继承SQLiteOpenHelper 这里面会建立一个数据库,并且初始化一个表.当然你可以建立多个数据库,等以后再自行建立表也可以 DatabaseHelper.java package com.kale.sql; import android.content.Context; import android.database.sqlite.SQLiteDatabase; im			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47eB9k0.html" rel="bookmark">DataGridView中进行增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先我们需要知道是在哪个数据库中的哪个表进行增删改查: 这就需要我们: 建立给连接服务器的类:(可以在方法类中建立) 建立一个对列名进行封装的类:方便数据之间的传接:(学到Linq-sql时这些就简便了) 建立一个方法类:进行增删改查方法的调用: 查询: 删除: 增加:增加数据时,我们一般都是要弹出一个界面进行书写添加: 主界面的增加按钮就是弹出增加界面: 修改:修改时我们也是要弹出界面进行修改,修改就有一个主键项是不能修改的: 点击修改按钮时: 1.要获取选中的修改项: 2.要弹出修改界面:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bZ5BV0.html" rel="bookmark">MongoDB在windows上安装以及java中的增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.windows下的安装创建 http://tech.it168.com/a2011/0603/1200/000001200064_2.shtml http://blog.csdn.net/xiaoxing598/article/details/54233044 2.Java操作mongodb http://www.cnblogs.com/zhwl/p/3491213.html http://blog.csdn.net/xiaoyw71/article/details/49633831 htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3raee70.html" rel="bookmark">数据库中的增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.创建数据库 : 2.创建表: 3.“use 数据库”:用这个可以选择当前的数据库 4.“go”关键字:在management studio中加上go关键字(这个关键字不是sql标准语句,也是不会发送到sql server上执行,它是给management studio这个软件使用的)可以把go关键字之前的和之后的分开,先把之前的发送到sql server中执行,然后再把之后的发送到sql server中执行: 5.数据: 5.1增: ----如果要添加的数据是表中所有的数据(不包含自动增长的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kwZoL0.html" rel="bookmark">&period;NET EF 框架-实现增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				声明一个EF上下文对象 Model dbContext=new Model(); 添加操作(向表中插入一条数据) //声明一个表的实体 Contact contact =new Contact(); //向表中的字段添加数据 contact.Name=&quot;张三&quot;; contact.EnrollmenDate=DateTime.Now; //做插入操作 dbContext.Contacts.Add(contact); dbContext.SaveChanges(); 修改操作(根据ID修改			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kBqPM.html" rel="bookmark" class="title">使用附加导航&lpar;affix&rpar;实现内容切换</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt; new document &lt;/title&gt; &lt;meta c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0Y5vN0.html" rel="bookmark" class="title">ZFS空间管理&lpar;分配、释放原理&rpar;</a>
					<div>
						一个文件系统的空间管理,常见的技术大致有两种,bitmap和tree方式. bitmap是将文件系统所有管辖的空间细化成block(windows叫cluster),每一个block对应一个二进制位, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3voNL4.html" rel="bookmark" class="title">linux下上传本地文件至github</a>
					<div>
						本次所用系统为Centos6.4 一.首先,我们需要在系统上安装git 配置好yum源后,可以直接yum安装 yum install git -y 二.安装好git后,可以开始动手上传文件了 第一步: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pnoK0.html" rel="bookmark" class="title">java中的按位与运算</a>
					<div>
						1 package scanner; 2 3 public class SingleAnd { 4 5 public static void main(String[] args) { 6 7 int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1AXPM.html" rel="bookmark" class="title">浅析libev的ev&lowbar;signal过程</a>
					<div>
						ev_signal是libev提供的对信号处理的一个模块,基本上是对sigaction函数的一个封装,并将本身是异步的信号转化为同步.ev_signal的使用十分简单: #include &lt;ev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzavpO4.html" rel="bookmark" class="title">【水】noip2002普及 过河卒</a>
					<div>
						这题似乎是当年的马拦过河卒,好久的回忆啊... 过河卒 来源 NOIP2002普及组 题目描述 如图,A 点有一个过河卒,需要走到目标 B 点.卒行走规则:可以向下.或者向右.同时在棋盘上的任一点有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41g7eq0.html" rel="bookmark" class="title">Emacs入门快捷键</a>
					<div>
						emacs 的键盘命令通常包括control键(C)和shift键(M) 退出emacs :①使用组合键  C-x C-c   ②使用快捷键 M-x 后  输入kill-emacs C-g  退出一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bY82vM.html" rel="bookmark" class="title">left join on 和where中条件的放置位置</a>
					<div>
						转自:http://blog.csdn.net/muxiaoshan/article/details/7617533 select * from td  left join (select case_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n5yYXM.html" rel="bookmark" class="title">Exchange2010五个角色的概述（图解&rpar;</a>
					<div>
						Exchange2010五个角色的概述(图解)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1kLl4.html" rel="bookmark" class="title">关于人像美容之祛痘祛斑算法的一些尝试。</a>
					<div>
						祛痘祛斑算法一直在关注,一直在期待看有么有大神分享有关这方面的资料.在百度上用关键词祛痘祛斑搜到的都是于原理无关的不痛不痒的东西,看样子还是得靠自己奋斗. 总的来说,对于祛痘祛斑,我们概念上还是有一定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEvNxK0.html" rel="bookmark" class="title">&lbrack;leetcode&rsqb;Multiply Strings &commat; Python</a>
					<div>
						原题地址:https://oj.leetcode.com/problems/multiply-strings/ 题意: Given two numbers represented as strings ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OnJ7Z0.html" rel="bookmark" class="title">支付宝 app支付 沙盘使用</a>
					<div>
						文档说明 沙箱测试: App支付沙箱接入注意点 1.app支付支持沙箱接入:在沙箱调通接口后,必须在线上进行测试与验收,所有返回码及业务逻辑以线上为准:2.app支付只支持余额支付,不支持银行卡.余额 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLAxV4.html" rel="bookmark" class="title">源代码与RPM</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmdjPM.html" rel="bookmark" class="title">长安&period;ARM体系结构分析</a>
					<div>
						作者:华清远见讲师 有许多同学问我,老师嵌入式行业发展前景如何. 嵌入式从来就不是一个行业,嵌入式只是一类技术的组合,而且这&quot;一类技术&quot;,还在随着时间不断变化. 技术是用来解决问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d2Een4.html" rel="bookmark" class="title">Vue2 几种常见开局方式</a>
					<div>
						在SF问题中看到了一个关于vue-cli中的template问题,问题是这样的:用vue-cli工具生成的main.js中: import Vue from 'vue' import App from ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPel9z0.html" rel="bookmark" class="title">第三章SQL编程</a>
					<div>
						本章目标: 1.使用变量 2.输出语句 3.数据类型转换 4.逻辑控制语句 5.批处理 一.变量 1.什么是变量呢? 变量是存储数据的容器 T-SQL中的变量分为局部变量和全局变量 2.局部变量 局部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDLrZ0.html" rel="bookmark" class="title">向量的基本运算</a>
					<div>
						负向量运算: (把一个向量中所有的数字取负)        [1,2,3] -&gt; [-1,-2,-3] 几何中的负向量解释: ================================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2rLbM.html" rel="bookmark" class="title">后台 之 Bmob</a>
					<div>
						1. Bmob 之 简单使用 2. Bmob 之 列表查询					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41y6Wk4.html" rel="bookmark" class="title">mycncart1&period;0&period;2&period;0版 发布</a>
					<div>
						mycncart1.0.2.0版本特色 1. 手机短信验证接口: 2. 增加一网银及信用卡支付方式 - 贝付在线 3. 增加个人支付宝担保交易接口: 4. 增加企业支付宝即时到账接口: 5. 收件人添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xXV6r0.html" rel="bookmark" class="title">数据结构专题&mdash;&mdash;队列</a>
					<div>
						一.队列(queue)(可与栈对比进行学习) 思想:队列实现的是一种先进先出(first-in,first-out,FIFO)策略.(&lt;算法导论&gt;) 定义:队列是只允许在一端进行插入操作, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
